
#ifndef _REGMAP_H_
#define _REGMAP_H_

#define readl(a) (*(volatile unsigned int *)(a))
#define readb(a) (*(volatile unsigned char *)(a))
#define writel(a, v) (*(volatile unsigned int *)(a) = (unsigned int)v)
#define writeb(a, v) (*(volatile unsigned char *)(a) = (unsigned char)v)

#define NS_SER_CTRL_A		0x90200040
#define NS_SER_CTRL_B		0x90200044
#define NS_SER_STAT_A		0x90200048
#define NS_SER_BITRATE		0x9020004c
#define NS_SER_FIFO		0x90200050
#define NS_SER_RX_BUF_TIMER	0x90200054

#define SER_STAT_RRDY		0x00000800
#define SER_STAT_RBC		0x00000200
#define SER_STAT_TRDY		0x00000008

#define NS_BBUS_MASTER_RESET	0x90600000
#define NS_BBUS_GPIO_CONFIG_2	0x90600014
#define NS_BBUS_GPIO_CONFIG_3	0x90600018
#define NS_BBUS_GPIO_CONFIG_4	0x9060001c
#define NS_BBUS_GPIO_CONFIG_6	0x90600024
#define NS_BBUS_GPIO_CTRL_2	0x90600034
#define NS_BBUS_GPIO_STAT_1	0x90600040

#define NS_MEM_STATIC_EXT_WAIT	0xa0700080
#define NS_MEM_STATIC_CFG_2	0xa0700240
#define NS_MEM_STATIC_WAIT_WEN_2	0xa0700244
#define NS_MEM_STATIC_WAIT_OEN_2	0xa0700248
#define NS_MEM_STATIC_WAIT_RD_2		0xa070024c
#define NS_MEM_STATIC_WAIT_PAGE_2	0xa0700250
#define NS_MEM_STATIC_WAIT_WR_2		0xa0700254
#define NS_MEM_STATIC_WAIT_TURN_2	0xa0700258

#define NS_SYS_AHB_GEN		0xa0900000
#define NS_SYS_BRC_0		0xa0900004
#define NS_SYS_BRC_1		0xa0900008
#define NS_SYS_BRC_2		0xa090000c
#define NS_SYS_BRC_3		0xa0900010
#define NS_SYS_TIMER_COUNT_3	0xa0900050
#define NS_SYS_TIMER_READ_3	0xa0900090
#define NS_SYS_PLL		0xa0900188
#define NS_SYS_TIMER_CTRL_3	0xa090019c
#define NS_SYS_CS_STATIC_BASE_2	0xa0900200
#define NS_SYS_CS_STATIC_MASK_2	0xa0900204

#endif
